Get customer's crypto address list
curl --request GET \
--url https://partner-dev.coinut.net/crypto-address/list \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://partner-dev.coinut.net/crypto-address/list"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://partner-dev.coinut.net/crypto-address/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"data": {
"list": [
{
"id": "67890",
"customerId": "12345",
"currency": "USDT",
"address": "0x1234567890123456789012345678901234567890",
"label": "My Wallet",
"createTime": "2024-01-01T00:00:00Z",
"updateTime": "2024-01-02T00:00:00Z",
"network": "ETH"
}
],
"total": 123,
"pageNum": 123,
"pageSize": 123
}
}{
"status": "INVALID_PARAMETERS",
"message": "invalid parameters"
}Crypto Addresses
List Crypto Addresses
Optional customerId filters by party; omit to list all crypto addresses under the partner
GET
/
crypto-address
/
list
Get customer's crypto address list
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Customer (party) ID; omit to return crypto addresses for all customers under the partner
Example:
"12345"
Currency
Available options:
USDT, USDC Example:
"USDT"
⌘I

